Integrate API
Home
Company
Company
  • Company
  • Users
  • Office
Orders
Orders
  • Orders
  • Change Request
  • Drafts
  • GoToScan
Webhooks
Home
Company
Company
  • Company
  • Users
  • Office
Orders
Orders
  • Orders
  • Change Request
  • Drafts
  • GoToScan
Webhooks
  1. Change Request
  • Add new change request for an order
    POST
  • List all change requests of order
    GET
  • Get change request by ID
    GET
  1. Change Request

List all change requests of order

Prod Env
https://app.cubi.casa/api/integrate/v3
Prod Env
https://app.cubi.casa/api/integrate/v3
GET
/orders/{order_id}/change-requests
Get a list of all the Change Requests submitted for an order.

Request

Authorization
or
API Key
Add parameter in header
api-key
Example:
api-key: ********************
or
Path Params

Responses

🟢200OK
application/json
Successful response
Body

Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request GET 'https://app.cubi.casa/api/integrate/v3/orders//change-requests'
Response Response Example
{
    "products_2d": [
        {
            "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
            "text": "string",
            "sent_at": 1748455764.159082,
            "img_urls": [
                "string"
            ]
        }
    ],
    "products_3d": [
        {
            "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
            "text": "string",
            "sent_at": 1748455764.159082,
            "img_urls": [
                "string"
            ]
        }
    ]
}
Modified at 2025-08-11 11:34:35
Previous
Add new change request for an order
Next
Get change request by ID
Built with